Subject: Re: [AX25] kernel panic

From: Jarek Poplawski <[email-masked]>
Date: Thu, 20 Mar 2008 07:30:21 +0000

On Wed, Mar 19, 2008 at 09:57:18PM +0100, Bernard Pidoux wrote:
...
> I also tried to revert Jarek's mkiss ax_bump() patch, but this did not  
> prevent
> kernel lockup, although this time swapper is involved and not ax25ipd.
...
> BUG: unable to handle kernel paging request at virtual address 6b6b6c2b
> printing eip: c013fc67 *pde = 00000000
> Oops: 0002 [#1] SMP

Well, the rest looks very similarly and not trivial... Probably a
socket is destructed too soon (or something...). Could you try to
reproduce this with some debugging turned off, e.g.:
CONFIG_DEBUG_LOCK_ALLOC, CONFIG_DEBUG_PAGEALLOC, (CONFIG_SLUB_DEBUG?).

Regards,
Jarek P.